Loading...
Searching...
No Matches
UnifyDuplicateLets.h File Reference

Defines the lowering pass that coalesces redundant let statements. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::unify_duplicate_lets (const Stmt &s)
| Find let statements that all define the same value, and make later ones just reuse the symbol names of the earlier ones.

## Detailed Description

Defines the lowering pass that coalesces redundant let statements.

Definition in file UnifyDuplicateLets.h.